JEKYLL_SERVE(1)

NAME
jekyll_serve- blog-aware, static site generator

USAGE
jekyll { s | serve | server } [options...]

OPTIONS
The serve command supports all the options of the build command together with these additional options:

-H, --host [HOST]
    Local server hostname to listen to. The default is 127.0.0.1 or localhost.

-P, --port [PORT]
    Local server port to bind to. The default is 4000.

--ssl-cert [CERT]
    X.509 (SSL) certificate.

--ssl-key [KEY]
    X.509 (SSL) private key.

-B, --detach
    Run the server in the background.

--skip-initial-build
    Skip initial site build which occurs before the server is started.

-o, --open-url
    Launch the site in a browser.

--show-dir-listing
    Show a directory listing instead of loading the index file.

-l, --livereload
    Use LiveReload to automatically refresh the browser.

--livereload-ignore ignore GLOB1[,GLOB2[,...]]
    Files for LiveReload to ignore. The values must be quoted so the shell won't expand them.

--livereload-min-delay [SECONDS]
    Minimum reload delay.

--livereload-max-delay [SECONDS]
    Maximum reload delay.

--livereload-port [PORT]
    Port for LiveReload to listen on.

For a list of general options please read the jekyll(1) manual page.

SEE ALSO
jekyll-build(1), jekyll(1)

AUTHOR
This manual page was written by Daniel Leidert <dleidert@debian.org>, for the Debian GNU/Linux system (but may be used by others).